Summary: Keeping Apache VirtualHost configuration in a LDAP directory.
Name: mod_cfg_ldap
Version: 1.2
Release: 1
Vendor: Andreas Brenk <mail@andreasbrenk.com>
Packager: Andreas Brenk <mail@andreasbrenk.com>
Group: System Environment/Daemons
URL: http://modcfgldap.sourceforge.net/
Source: mod_cfg_ldap-%{version}.tar.gz
License: BSD
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: httpd-devel, openldap-devel
Requires: httpd

%description
mod_cfg_ldap allows you to keep your virtual host configuration
in a LDAP directory and update it in nearly realtime.

%prep
%setup -q

%build
make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 cfg_ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Sun Sep 7 2003 Andreas Brenk <mail@andreasbrenk.com>
- initial package
